libvisio::VSDPolylineTo1 Class Reference documentation

libvisio::VSDPolylineTo1 Class Reference
Inheritance diagram for libvisio::VSDPolylineTo1:

## Public Member Functions
| VSDPolylineTo1 (unsigned id, unsigned level, double x, double y, unsigned char xType, unsigned char yType, std::vector< std::pair< double, double > > points)
| ~VSDPolylineTo1 () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y
unsigned | m_xType
unsigned | m_yType
std::vector< std::pair< double, double > > | m_points

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDPolylineTo1()

libvisio::VSDPolylineTo1::VSDPolylineTo1 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | std::vector< std::pair< double, double > > | points )
| inline

Referenced by clone().

## ◆ ~VSDPolylineTo1()

libvisio::VSDPolylineTo1::~VSDPolylineTo1 | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDPolylineTo1::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDPolylineTo1::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_points

std::vector<std::pair<double, double> > libvisio::VSDPolylineTo1::m_points

Referenced by clone(), handle(), and VSDPolylineTo1().

## ◆ m_x

double libvisio::VSDPolylineTo1::m_x

Referenced by clone(), handle(), and VSDPolylineTo1().

## ◆ m_xType

unsigned libvisio::VSDPolylineTo1::m_xType

Referenced by clone(), handle(), and VSDPolylineTo1().

## ◆ m_y

double libvisio::VSDPolylineTo1::m_y

Referenced by clone(), handle(), and VSDPolylineTo1().

## ◆ m_yType

unsigned libvisio::VSDPolylineTo1::m_yType

Referenced by clone(), handle(), and VSDPolylineTo1().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp